# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.uploader
Interface ProgressListener

    public interface ProgressListener

An interface for receiving progress notifications for uploads.

Method Summary
`void` `progressChanged(ResumableHttpFileUploader uploaderWithProgress)` Called to notify that progress has been changed.

Method Detail

### progressChanged

    void progressChanged(ResumableHttpFileUploader uploaderWithProgress)

  Called to notify that progress has been changed. This method is called periodically (a configurable number of milliseconds depending on its use), and always immediately when the upload completes. Progress notifications are not made while an upload has not been started, is paused, or after it completes.

  Parameters:
    `uploaderWithProgress` - reference to the uploader instance whose progress has changed.